<html>
<head>
	<title>California-Nevada Earthquakes</title>
	<style type="text/css">
		body {font-family: Arial, Helvetica, sans-serif}
		h1 {font-size: 18pt; text-align: center}
		h2 {font-size: 12pt; text-align: center}
	</style>
	<!-- **Add google api key here, after ?key= __>
	<script type="text/javascript" src="http://www.google.com/jsapi?key=ABQIAAAANOhJBzKCRQEmKSI0mmfwrxRvWS2_bg_Z59tjTfGLhW96sj7fYRRBH_wlbFv5Or9AiIeYTB667vU5Iw"> </script>
	<script type="text/javascript">
google.load("earth", "1");

var ge = null;

function init() {
	google.earth.createInstance("map3d", initCallback, failureCallback);
}

function initCallback(pluginInstance) {
	ge = pluginInstance;
	ge.getWindow().setVisibility(true); // required!
	ge.getNavigationControl().setVisibility(ge.VISIBILITY_SHOW);
	ge.getOptions().setFlyToSpeed(0.5);

	// NetworkLink
	var networkLink = ge.createNetworkLink('');
	networkLink.setDescription('NetworkLink open to fetched content');
	networkLink.setName('Open NetworkLink');
	networkLink.setFlyToView(true);

	// NetworkLink/Link
	var link = ge.createLink('');
	// **Set url of kml here:
	link.setHref('http://www.geoprovisioning.com/canvquakes/eqs1day_canv.kml');
	networkLink.setLink(link);

	// add the network link to earth
	ge.getFeatures().appendChild(networkLink);
}

function failureCallback(errorCode) {
	alert("Failure loading the Google Earth Plugin: " + errorCode);
}

	</script>
</head>
<body onload="init()">
	<div id="header" style="height: 100px; width: 800px;">
	<h1>Earthquakes in California and Nevada for Past 24 Hours</h1>
	<h2>Last Update: <?php include "datetime.txt"; ?></h2>
	</div>
	<div id="map3d_container" style="border: 1px solid silver; height: 500px; width: 800px;">
		<div id="map3d" style="height: 100%;"></div>
	</div>
	<div id="legend" style="position: relative; height: 150px; width: 800px; margin-top: 20px;">
		<div id="magnitude" style="height: 100px; width: 250px;">
			<table width="100%" height="100%" cellspacing="10" cellpadding="0" border="0">
				<tr valign="top"><th colspan="6">Earthquake Magnitude</th></tr>
				<tr valign="center">
					<td><img src="resources/mag1.jpg"></td><td>1.0</td>
					<td><img src="resources/mag3.jpg"></td><td>3.0</td>
					<td><img src="resources/mag5.jpg"></td><td>5.0</td>
				</tr>
			</table>
		</div>
		<div id="depth" style="height: 100px; width: 500px; position: absolute; top: 0px; left:300px;">
			<table width="100%" height="90px" cellspacing="10" cellpadding="0" border="0">
				<tr valign="top"><th colspan="8">Earthquake Focal Depth (kilometers)</th></tr>
				<tr valign="center">
					<td><img src="resources/ballred.jpg"></td><td>0 to 5</td>
					<td><img src="resources/ballorange.jpg"></td><td>5 to 10</td>
					<td><img src="resources/ballyellow.jpg"></td><td>10 to 20</td>
					<td><img src="resources/ballgreen.jpg"></td><td>20 to 30</td>
				</tr>
			</table>
		</div>
		<div id="faults" style="height; 50 px; width: 500px; position: absolute; left: 170px;">
			<table width="500px" cellspacing="10" cellpadding="0" border="0">
				<tr valign="center">
					<td><img src="resources/faults.gif"></td>
					<td halign="left"><strong>Major active faults</strong> (locations generalized)</td>
				</tr>
			</table>
		</div>
	</div>
	<div id="explanation" style="width: 800px;">
		<p style="text-align: center; font-weight: bold">Left-click on an earthquake symbol to see information about the earthquake.
		</p>
		<p>Earthquake epicenter locations from data files posted by the US Geological Survey
			Earthquake Hazards Program at http://earthquakes.usgs.gov/eqcenter/catalogs/. Epicenter
			locations on this page are updated hourly.
		</p>
		<p>This page requires the Google Earth Browser plug-in. You will be prompted to download and
			install the plug-in if it is not already installed.
		</p>
	</div>
	<div id="job" style="width: 800px; border: 2px solid silver; background-color: rgb(255,255,207); padding-left: 10px; padding-right: 10px">
		<p style="text-align: center; font-weight: bold">Earthquake data updated by TNTmips Job Processing</p>

		<a href="http://www.microimages.com/index.htm" target="_blank">
		<img src="resources/globelogoT.gif" border="0" width="121" height="80" style="float: right"></a>

		<p>The hourly updating of earthquake epicenters on this page is a demonstration of a scheduled
		task performed using the <strong>Job Processing System in TNTmips</strong>.  Each hour the TNTmips Job Manager runs
		a TNT job file that calls a geospatial script written in the <strong>TNTmips Geospatial Scripting Language
		(SML)</strong>.  This script performs the following operations:
		</p>
		<ol>
		<li>Download the current USGS 1-day global earthquake epicenter file (in ASCII comma-separated values format)</li>
		<li>Import the global epicenters to points in a temporary vector object with earthquake magnitude, depth, and other parameters stored in the point database</li>
		<li>Extract the epicenter points within the specified latitude-longitude range to a new temporary epicenter vector object covering California and Nevada</li>
		<li>Add a field to the point database table and assign a string expression to create a multi-line string listing various earthquake attributes for each point for use as a DataTip</li>
		<li>Add the California-Nevada earthquake vector object as a layer in an existing page layout containing a background layer with major active fault lines</li>
		<li>Set the string-expression field as the source for the DataTip for the epicenter points</li>
		<li>Set the earthquake epicenter point styles by script using a style script file that references a previously-prepared point style object.</li>
		<li>Render the modified layout to a KML file referenced by this web page. The Render to KML operation automatically creates Google Earth balloon information from the DataTip text for each point.  It also automatically converts solid circle symbols in the TNT layout into the shaded-sphere graphics in the Google Earth style library.</li>
		<li>Update an include file with the update date and time to be shown in the web page</li>
		</ol>
	</div>
</body>
</html>
